## Correlation and Covariance Matrices

## Usage

    cor(x, y=x, use="all.obs")
    cov(x, y=x, use="all.obs")

## Arguments

`x` | a matrix or data frame.
`y` | a matrix or data frame.
`use` | a character string giving the method for handling missing observations. This must be one of the stringss `"all.obs"`, `"complete.obs"` or `"pairwise.complete.obs"` (abbreviations are acceptable).

## Value

The correlation matrix or covariance matrix of the columns of `x` and the columns of `y`.

If `use` has the value `"all.obs"`, then the presence of missing observations will cause the computation to fail. If `use` has the value `"complete.obs"` then missing values are handled by casewise deletion. Finally, if `use` has the value `"pairwise.complete.obs"` then the correlation between each pair of variables is computed using all complete pairs of observations on those variables. This can result in correlation matrices which are not positive semidefinite.

[Package Contents]